Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Codeset_Translator_Factory Class Reference

Abstract base class for factories providing codeset translators. More...

`#include <Codeset_Translator_Factory.h>`

Inheritance diagram for TAO_Codeset_Translator_Factory:

[legend]
Collaboration diagram for TAO_Codeset_Translator_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Codeset_Translator_Factory ()
virtual | ~TAO_Codeset_Translator_Factory ()
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual CONV_FRAME::CodeSetId | ncs () const=0
virtual CONV_FRAME::CodeSetId | tcs () const=0
virtual void | assign (TAO_InputCDR *) const=0
virtual void | assign (TAO_OutputCDR *) const=0
## Protected Methods
void | assign_i (TAO_InputCDR *, ACE_Char_Codeset_Translator *) const
void | assign_i (TAO_InputCDR *, ACE_WChar_Codeset_Translator *) const
void | assign_i (TAO_OutputCDR *, ACE_Char_Codeset_Translator *) const
void | assign_i (TAO_OutputCDR *, ACE_WChar_Codeset_Translator *) const

## Detailed Description

Abstract base class for factories providing codeset translators.

The codeset translator factory is a loadable service object. It is used to supply the actual translator used in converting between two codesets. The intent of using a factory is to avoid requiring codeset translators to be multiply inherited both from the translator base class and the service object base. The translator factory is also responsible for assigning translators to CDR streams. Since there is no common base class between input and output CDRs, the assingment code must be duplicated.

## Constructor & Destructor Documentation

TAO_Codeset_Translator_Factory::TAO_Codeset_Translator_Factory | ( |  | ) |

TAO_Codeset_Translator_Factory::~TAO_Codeset_Translator_Factory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_Codeset_Translator_Factory::assign | ( | TAO_OutputCDR * |  | ) | const`[pure virtual]`

| Assign the translator to the supplied output CDR. This is left abstract since the factory base does not have a reference to the actual translator instance. The template instance provides this implementation. Implemented in TAO_Codeset_Translator_Factory_T< NCS_TO_TCS >.

virtual void TAO_Codeset_Translator_Factory::assign | ( | TAO_InputCDR * |  | ) | const`[pure virtual]`

| Assign the translator to the supplied input CDR. This is left abstract since the factory base does not have a reference to the actual translator instance. The template instance provides this implementation. Implemented in TAO_Codeset_Translator_Factory_T< NCS_TO_TCS >.

void TAO_Codeset_Translator_Factory::assign_i | ( | TAO_OutputCDR * | ,
|  | ACE_WChar_Codeset_Translator * |
| ) | const`[protected]`

| Assign the translator to the supplied output CDR. The template instance will have a translator that is based on either the Char or Wchar translator, so the compiler will select the appropriate call from assign().

void TAO_Codeset_Translator_Factory::assign_i | ( | TAO_OutputCDR * | ,
|  | ACE_Char_Codeset_Translator * |
| ) | const`[protected]`

| Assign the translator to the supplied output CDR. The template instance will have a translator that is based on either the Char or Wchar translator, so the compiler will select the appropriate call from assign().

void TAO_Codeset_Translator_Factory::assign_i | ( | TAO_InputCDR * | ,
|  | ACE_WChar_Codeset_Translator * |
| ) | const`[protected]`

| Assign the translator to the supplied input CDR. The template instance will have a translator that is based on either the Char or Wchar translator, so the compiler will select the appropriate call from assign().

void TAO_Codeset_Translator_Factory::assign_i | ( | TAO_InputCDR * | ,
|  | ACE_Char_Codeset_Translator * |
| ) | const`[protected]`

| Assign the translator to the supplied input CDR. The template instance will have a translator that is based on either the Char or Wchar translator, so the compiler will select the appropriate call from assign().

virtual int TAO_Codeset_Translator_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object. Reimplemented in TAO_Codeset_Translator_Factory_T< NCS_TO_TCS >.

virtual CONV_FRAME::CodeSetId TAO_Codeset_Translator_Factory::ncs | ( |  | ) | `[pure virtual]`

| Get the native codeset ID from the factory. There is no reasonable default for this method, so it is left abstract. Implemented in TAO_Codeset_Translator_Factory_T< NCS_TO_TCS >.

virtual CONV_FRAME::CodeSetId TAO_Codeset_Translator_Factory::tcs | ( |  | ) | `[pure virtual]`

| Get the translated codeset ID from the factory. There is no reasonable default for this method, so it is left abstract. Implemented in TAO_Codeset_Translator_Factory_T< NCS_TO_TCS >.

The documentation for this class was generated from the following files:

- Codeset_Translator_Factory.h
- Codeset_Translator_Factory.cpp